﻿;;;=================================================================================
;;;14/03/07
;;;		
;;;		L O A D - (File moss-version-info.LiSP)
;;;		Copyright Barthes@UTC 2007-2012
;;;	
;;;=================================================================================

;;;
;;; File defining MOSS that must be loaded

#|
2007
 0318 creation
 0528 removing :CCL from the Windows environment
 0727 version 6.4 : modifying dialog mechanism
 0927 adding time file
2008
 0621 === v7.0.0
2009
 1227 === v 8.0
      adding persistency (MCL WOOD system)
2010
 0130 loading moss-def after moss-engine. moss-def defines functions for building
      MOSS objects
 1102 including export file
 1205 trying common file for editor...
2012
 1018 adding conditional loading of init and import files
 1122 replacing moss-W-editor-M.lisp by moss-W-editor-P.lisp in which all references
      to MCL have been removed
2013
 1128 adding moss-web.lisp to the lisp of files to load
2014
 0307 === v 9.0
     encoding all files in UTF-8, removing MCL files
 0624 introducing the MLN package to replace MLN functions (moss::%mln-xxx)
|#

(in-package :moss)

(defParameter *moss-prefix* "moss")

(defParameter *moss-file-names*
  (eval-when (:compile-toplevel :load-toplevel :execute)
    `("mln" 
      "texts-UTF8"
      "macros"
      ;;-- SOL files
      #-OMAS "sol-init"
      #-OMAS "sol2owl"
      #-OMAS "sol2rules"
      ;"sol2html"
      ;;-- end SOL files
      "service"
      "boot"
      "engine"
      "def"
      "persistency"
      "kernel"
      "W-macros"
      "W-browser-P"
      "query"
      "W-editor-P"
      "dialog-classes"
      "dialog-engine"
      "W-window-P"
      ,@(unless (member :omas *features*) '("W-init"))
      ,@(unless (member :omas *features*) '("W-import-P"))
      "W-overview-P"
      "W-value-editor"
      "paths"
      "time"
      "web"
      "patches"
      #-OMAS "dialog"          ; MOSS help dialog (loaded after patches)
      "export"
      "online-doc"      ; aditional info for help dialog (id.)
      ))
  "MOSS files to be loaded")

:EOF
