﻿;;;-*- Mode: Lisp; Package: "OMAS" -*-
;;;=================================================================================
;;;13/03/11
;;;		
;;;		V E R S I O N - I N F O - (File moss-version-info.LiSP)
;;;		Copyright Barthes@UTC 2007-2013
;;;	
;;;=================================================================================

;;;
;;; File that contains info about OMAS

#|
2007
 0318 creation
 0528 removing :CCL from the Windows environment
 0529 including ACL files
 0809 adding bsd-sockets file
2008
 0215 adding patches
 0216 transferring default application info to this parameter file from omas-load
 0604 === v5.11.2
 0705 removing defpackage
 1030 adding spy agent
 1115 adding W-spy-P file
2009
 0512 adding texts-UTF8 file to the list
 1224 adding persistency file to be loaded
 1228 persistency transferred to the MOSS environment
2012
 0330 adding W-small-window file
 1006 spliting W-agent into W-agent and W-postman
 1102 adding oas-web to the list of files to be loaded
2013
 0311 adding omas-upgrade.lisp to list of omas files
|#

;(defpackage :omas (:use :cl #+MCL :ccl :moss))

(in-package :omas)

;;;=========================== default OMAS values ===============================

(defParameter *omas-prefix* "omas")

;;;======================== default application values ===========================

(defParameter *distributed-version* nil) ; unused
(defParameter *load-uncompiled* nil)  ; unused

(defParameter *omas-file-names*
  '("globals"
    "texts-UTF8"
    "netcomm"
    "agents"
    "assistant"  ; assistant agent
    "postman"    ; transfer agent
    "messages"
    "comm"
    #+MCL "bsd-sockets"   ; net basic functions (used by UDP)
    #+MCL "netUDP-M"      ; must follow messages
    #+MICROSOFT-32 "netUDP-P"
    "self"
    "world"
    "API"
    "processes"
    "control"
    "task"
    "goals"
    "persistency"  ; JPB 0912
    "inferer"
    "json"
    "web"  ; JPB 1211
    ;;=== windows
    "W-macros" ; compatibility macros
    "W-control-panel"
    #+MICROSOFT-32 "W-text-P"   ; trace window, specific to ACL
    "W-agent" 
    "W-dialog-trace"  ; window associated to a PA to trace dialogs
    "W-message" 
    "W-assistant"   ; assistant interface window
    "W-postman"
    "W-small-window"  ; assistant reduced window
    ;"manager" ; manager file (not yet available)
    "W-init"   ; initial window for loading an application
    ;"test"
    "spy"      ; new agent in charge of the graphics trace window
    "W-spy"
    "W-warn"   ; for poping warning windows JPB 1301
    "display"  ; for creating agent windows
    "upgrade"  ; for installing the upgrade function
    "patches"       ; for released versions
    )
  "OMAS files to be loaded")

;(defMacro cl () `(in-package :cl-user))

;(format t "~&DV: ~S LU: ~S" *distributed-version* *load-uncompiled*)

:EOF
